Package org.apache.commons.imaging.formats.tiff.constants

## Class AdobePageMaker6TagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.AdobePageMaker6TagConstants

-     public final class AdobePageMaker6TagConstants
      extends Object

  TIFF specification supplement 1
  Enhancements for Adobe PageMaker(R) 6.0 software
  http://partners.adobe.com/public/developer/en/tiff/TIFFPM6.pdf

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static List<TagInfo>` | `ALL_ADOBE_PAGEMAKER_6_TAGS` |
    `static int` | `INDEXED_VALUE_INDEXED` |
    `static int` | `INDEXED_VALUE_NOT_INDEXED` |
    `static int` | `OPIPROXY_VALUE_HIGHER_RESOLUTION_IMAGE_DOES_NOT_EXIST` |
    `static int` | `OPIPROXY_VALUE_HIGHER_RESOLUTION_IMAGE_EXISTS` |
    `static TagInfoBytes` | `TIFF_TAG_CLIP_PATH` |
    `static TagInfoAscii` | `TIFF_TAG_IMAGE_ID` |
    `static TagInfoShort` | `TIFF_TAG_INDEXED` |
    `static TagInfoShort` | `TIFF_TAG_OPIPROXY` |
    `static TagInfoLongOrIFD` | `TIFF_TAG_SUB_IFD` |
    `static TagInfoLong` | `TIFF_TAG_XCLIP_PATH_UNITS` |
    `static TagInfoLong` | `TIFF_TAG_YCLIP_PATH_UNITS` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIFF_TAG_SUB_IFD

          public static final TagInfoLongOrIFD TIFF_TAG_SUB_IFD

    - #### TIFF_TAG_CLIP_PATH

          public static final TagInfoBytes TIFF_TAG_CLIP_PATH

    - #### TIFF_TAG_XCLIP_PATH_UNITS

          public static final TagInfoLong TIFF_TAG_XCLIP_PATH_UNITS

    - #### TIFF_TAG_YCLIP_PATH_UNITS

          public static final TagInfoLong TIFF_TAG_YCLIP_PATH_UNITS

    - #### TIFF_TAG_INDEXED

          public static final TagInfoShort TIFF_TAG_INDEXED

    - #### INDEXED_VALUE_NOT_INDEXED

          public static final int INDEXED_VALUE_NOT_INDEXED

      See Also:
        Constant Field Values

    - #### INDEXED_VALUE_INDEXED

          public static final int INDEXED_VALUE_INDEXED

      See Also:
        Constant Field Values

    - #### TIFF_TAG_OPIPROXY

          public static final TagInfoShort TIFF_TAG_OPIPROXY

    - #### OPIPROXY_VALUE_HIGHER_RESOLUTION_IMAGE_DOES_NOT_EXIST

          public static final int OPIPROXY_VALUE_HIGHER_RESOLUTION_IMAGE_DOES_NOT_EXIST

      See Also:
        Constant Field Values

    - #### OPIPROXY_VALUE_HIGHER_RESOLUTION_IMAGE_EXISTS

          public static final int OPIPROXY_VALUE_HIGHER_RESOLUTION_IMAGE_EXISTS

      See Also:
        Constant Field Values

    - #### TIFF_TAG_IMAGE_ID

          public static final TagInfoAscii TIFF_TAG_IMAGE_ID

    - #### ALL_ADOBE_PAGEMAKER_6_TAGS

          public static final List<TagInfo> ALL_ADOBE_PAGEMAKER_6_TAGS